HPC:bowtie

From PMACS HPC
Jump to: navigation, search

bowtie

bowtie version 0.12.7 and bowtie2-2.1.0 are installed on all HPC nodes.

bowtie v0.12.7 is the system default :

$ which bowtie
/usr/bin/bowtie

$ bowtie --version
bowtie version 0.12.7
64-bit
Built on x86-13.phx2.fedoraproject.org
Tue Jun 28 13:08:38 UTC 2011
Compiler: gcc version 4.4.5 20110214 (Red Hat 4.4.5-6) (GCC) 
Options: -O3  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  
Sizeof {int, long, long long, void*, size_t, off_t}: {4, 8, 8, 8, 8, 8}

While bowtie2-2.1.0 needs can be used via a module in an interactive/non-interactive node:

[asrini@consign ~]$ bsub -Is bash 
[asrini@node061 ~]$ module load bowtie2-2.1.0 
[asrini@node061 ~]$ which bowtie2
/opt/software/bowtie2/bowtie2-2.1.0/bowtie2
[asrini@node061 ~]$ bowtie2 --version
/opt/software/bowtie2/bowtie2-2.1.0/bowtie2-align version 2.1.0
64-bit
Built on node061.hpc.local
Tue Aug 20 06:46:02 EDT 2013
Compiler: gcc version 4.4.7 20120313 (Red Hat 4.4.7-3) (GCC) 
Options: -O3 -m64 -msse2 -funroll-loops -g3 
Sizeof {int, long, long long, void*, size_t, off_t}: {4, 8, 8, 8, 8, 8}

Other Pages